Name:       ibus-table-tv
Version:    1.2.0.20100305
Release:    6%{?dist}
Summary:    The Thai and Viqr (Vietnamese) tables for IBus-Table
License:    GPLv3
Group:      System Environment/Libraries
URL:        http://github.com/kaio/ibus-table-tv/
Source0:    http://ibus.googlecode.com/files/%{name}-%{version}.tar.gz

BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch

Requires:         ibus-table >= 1.2.0.20090912-3
BuildRequires:    ibus-table-devel >= 1.2.0.20090912-3

%description
The Thai and Viqr (Vietnamese) tables for IBus-Table.

%prep
%setup -q

%build
%configure \
  --prefix=%{_prefix} \
  --disable-static \
  --enable-thai \
  --enable-viqr 
%__make %{?_smp_mflags}

%install
%__rm -rf $RPM_BUILD_ROOT
%__make DESTDIR=${RPM_BUILD_ROOT} NO_INDEX=true install
cd /$RPM_BUILD_ROOT/%{_datadir}/ibus-table/tables/
%{_bindir}/ibus-table-createdb -i -n thai.db
%{_bindir}/ibus-table-createdb -i -n viqr.db

# %find_lang %{name}

%clean
%__rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_datadir}/ibus-table/icons/thai.png
%{_datadir}/ibus-table/icons/viqr.png
%{_datadir}/ibus-table/tables/thai.db
%{_datadir}/ibus-table/tables/viqr.db

%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0.20100305-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Apr 04 2010 Caius 'kaio' Chance <cchance at redhat.com> - 1.2.0.20100305-5
- Correct URL.

* Sun Apr 04 2010 Caius 'kaio' Chance <cchance at redhat.com> - 1.2.0.20100305-4
- Remove provides and obsoletes tag.

* Wed Mar 10 2010 Caius 'kaio' Chance <cchance at redhat.com> - 1.2.0.20100305-3
- Update Requires, Provides, Obsoletes tags.

* Fri Mar 05 2010 Caius 'kaio' Chance <cchance at redhat.com> - 1.2.0.20100305-2
- Fix source tag.
- Upgrade source from upstream.
- Move index creation to build time.
- Fix index creation source.
- Fix BuildRequires tag.

* Fri Jan 08 2010 Caius 'kaio' Chance <k at kaio.me> - 1.2.0.20100108-1
- The first version.
- Combine Thai, Viqr tables.
